View Issue Details

IDProjectCategoryView StatusLast Update
0024823mantisbtperformancepublic2018-10-16 23:41
ReporteratrolAssigned Toatrol 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target Version2.18.0Fixed in Version2.18.0 
Summary0024823: Performance enhancements of string processing
Description

Enhance performance of string processing by

  • removing unneeded assignments
  • removing unneeded string replacements
TagsNo tags attached.

Activities

Related Changesets

MantisBT: master 6a29d987

2018-10-02 09:54:51

atrol

Details Diff
Minor performance enhancements in string processing

Issue 0024823
Affected Issues
0024823
mod - core/string_api.php Diff File

MantisBT: master 810c0a53

2018-10-02 09:58:02

atrol

Details Diff
Remove no longer invalid characters when displaying strings

We finally do not use doctype XHTML [1], so there is no longer the need
to remove characters from strings which are invalid per XML 1.0
specification.

[1] https://www.mantisbt.org/bugs/view.php?id=16025

Issue 0024823
Affected Issues
0024823
mod - core/string_api.php Diff File

Issue History

Date Modified Username Field Change
2018-10-03 16:57 atrol New Issue
2018-10-03 16:57 atrol Status new => assigned
2018-10-03 16:57 atrol Assigned To => atrol
2018-10-03 17:04 atrol Note Added: 0060733
2018-10-05 14:04 atrol Changeset attached => MantisBT master 6a29d987
2018-10-05 14:04 atrol Changeset attached => MantisBT master 810c0a53
2018-10-05 14:07 atrol Status assigned => resolved
2018-10-05 14:07 atrol Resolution open => fixed
2018-10-05 14:07 atrol Fixed in Version => 2.18.0
2018-10-16 23:41 vboctor Status resolved => closed